
% CPrunesim = C;
% piePrunesim = pie;
% hPrunesim = h;
% RPrunesim = R;
% APrunesim = A;
% RnatPrunesim = Rnat;



figure;
subplot(3,2,1);
time = (1:1:length(A))';
plot(time,[pieNoPrunesim piePrunesim zeros(size(time))]);
grid on;
title('pie');
subplot(3,2,2); 
plot(time,[hNoPrunesim hPrunesim zeros(size(time))]);
grid on;
title('h');
subplot(3,2,3);
plot(time,[RNoPrunesim RPrunesim zeros(size(time))]);
grid on;
title('R');
subplot(3,2,4);
plot(time,[CNoPrunesim CPrunesim zeros(size(time))]);
grid on;
title('C');
subplot(3,2,5);
plot(time,[ANoPrunesim APrunesim zeros(size(time))]);
grid on;
title('A');
subplot(3,2,6);
plot(time,[RnatNoPrunesim RnatPrunesim zeros(size(time))]);
grid on;
title('Rnat');
legend('no pruning','pruning');








figure;
subplot(3,2,1);
time = (1:1:length(A))';
plot(time,[ piePrunesim zeros(size(time))]);
grid on;
title('pie');
subplot(3,2,2); 
plot(time,[ hPrunesim zeros(size(time))]);
grid on;
title('h');
subplot(3,2,3);
plot(time,[ RPrunesim zeros(size(time))]);
grid on;
title('R');
subplot(3,2,4);
plot(time,[ CPrunesim zeros(size(time))]);
grid on;
title('C');
subplot(3,2,5);
plot(time,[ APrunesim zeros(size(time))]);
grid on;
title('A');
subplot(3,2,6);
plot(time,[ RnatPrunesim zeros(size(time))]);
grid on;
title('Rnat');
legend('pruning');



Struct(1).Name = 'pie';
Struct(1).NoPruneSim = 'pieNoPrunesim';
Struct(1).PruneSim = 'piePrunesim';
Struct(2).Name = 'h';
Struct(2).NoPruneSim = 'hNoPrunesim';
Struct(2).PruneSim = 'hPrunesim';
Struct(3).Name = 'R';
Struct(3).NoPruneSim = 'RNoPrunesim';
Struct(3).PruneSim = 'RPrunesim';
Struct(4).Name = 'C';
Struct(4).NoPruneSim = 'CNoPrunesim';
Struct(4).PruneSim = 'CPrunesim';
Struct(5).Name = 'A';
Struct(5).NoPruneSim = 'ANoPrunesim';
Struct(5).PruneSim = 'APrunesim';
Struct(6).Name = 'Rnat';
Struct(6).NoPruneSim = 'RnatNoPrunesim';
Struct(6).PruneSim = 'RnatPrunesim';



for iii = 1: length(Struct)

eval(['m1 = mean(' Struct(iii).NoPruneSim ');'])
eval(['s1 = std(' Struct(iii).NoPruneSim ');'])

eval(['m2 = mean(' Struct(iii).PruneSim ');'])
eval(['s2 = std(' Struct(iii).PruneSim ');'])

try
eval(['c = correlation(' Struct(iii).NoPruneSim ',' Struct(iii).PruneSim  ');']);
catch
    c = NaN;
end

disp([Struct(iii).Name ':  NonPruned mean/std:  ' num2str(m1) '/' num2str(s1) ...
    ', Pruned mean/std:  ' num2str(m2) '/' num2str(s2) ', Correlation:  ' num2str(c)])

end




NonPrunedSim = [CNoPrunesim pieNoPrunesim hNoPrunesim RNoPrunesim ANoPrunesim RnatNoPrunesim];



